searchNodes=[{"doc":"Provides a DSL to easily handle Postgres Enum Types in Ecto database migrations.","ref":"EctoEnumMigration.html","title":"EctoEnumMigration","type":"module"},{"doc":"Add a value to a existing Postgres type.This operation is not reversible, existing values cannot be removed from an enum type. Checkout Enumerated Types for more information.Also it cannot be used inside a transaction block, we need to set @disable_ddl_transaction true in the migration.Examplesdefmodule MyApp.Repo.Migrations.AddValueToTypeMigration do use Ecto.Migration import EctoEnumMigration @disable_ddl_transaction true def change do add_value_to_type(:status, :finished) end endBy default the type will be created in the public schema. To change the schema of the type pass the schema option.add_value_to_type(:status, :finished, schema: &quot;custom_schema&quot;)If the new value's place in the enum's ordering is not specified, then the new item is placed at the end of the list of values.But we specify the the place in the ordering for the new value with the :before and :after options.add_value_to_type(:status, :finished, before: :started)add_value_to_type(:status, :finished, after: :started)","ref":"EctoEnumMigration.html#add_value_to_type/3","title":"EctoEnumMigration.add_value_to_type/3","type":"function"},{"doc":"Create a Postgres Enum Type.Examplesdefmodule MyApp.Repo.Migrations.CreateTypeMigration do use Ecto.Migration import EctoEnumMigration def change do create_type(:status, [:registered, :active, :inactive, :archived]) end endBy default the type will be created in the public schema. To change the schema of the type pass the schema option.create_type(:status, [:registered, :active, :inactive, :archived], schema: &quot;custom_schema&quot;)","ref":"EctoEnumMigration.html#create_type/3","title":"EctoEnumMigration.create_type/3","type":"function"},{"doc":"Drop a Postgres Enum Type.This command is not reversible, so make sure to include a down/0 step in the migration.Examplesdefmodule MyApp.Repo.Migrations.DropTypeMigration do use Ecto.Migration import EctoEnumMigration def up do drop_type(:status) end def down do create_type(:status, [:registered, :active, :inactive, :archived]) end endBy default the type will be created in the public schema. To change the schema of the type pass the schema option.drop_type(:status, schema: &quot;custom_schema&quot;)","ref":"EctoEnumMigration.html#drop_type/2","title":"EctoEnumMigration.drop_type/2","type":"function"},{"doc":"Rename a Postgres Type.Examplesdefmodule MyApp.Repo.Migrations.RenameTypeMigration do use Ecto.Migration import EctoEnumMigration def change do rename_type(:status, :status_renamed) end endBy default the type will be created in the public schema. To change the schema of the type pass the schema option.rename_type(:status, :status_renamed, schema: &quot;custom_schema&quot;)","ref":"EctoEnumMigration.html#rename_type/3","title":"EctoEnumMigration.rename_type/3","type":"function"},{"doc":"Rename a value of a Postgres Type.Only compatible with Postgres version 10+Examplesdefmodule MyApp.Repo.Migrations.RenameTypeMigration do use Ecto.Migration import EctoEnumMigration def change do rename_value(:status, :finished, :done) end endBy default the type will be created in the public schema. To change the schema of the type pass the schema option.rename_value(:status, :finished, :done, schema: &quot;custom_schema&quot;)","ref":"EctoEnumMigration.html#rename_value/4","title":"EctoEnumMigration.rename_value/4","type":"function"}]